×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    Oct 2005
    Posts
    19

    Overcoming CLDC 1.0 limitation

    Hello

    I have developed an app. usiong MIDP2 and CLDC 1.1, and I want to port it to CLDC1.0., The problem is that my app. uses two things that CLDC 1.0 doesn't have. First the method equalsIgnoreCase, which is easy to solve.
    But, I also incorporate a package which classes uses Boolean.TRUE and Boolean.FALSE. I have to code of these classes and I would like to know how can I solve this.
    Thanks

  2. #2
    Registered User
    Join Date
    Dec 2005
    Location
    Brazil
    Posts
    1,884

    Re: Overcoming CLDC 1.0 limitation

    Hi kimi007,

    AFAIK Boolean.TRUE is the same as the primitive value true and Boolean.FALSE is the same as the primitive value false, the only difference is that they're object types.

    So just refactor your code and use the primitives instead of objects.

    BR,

    Juarez Junior

Similar Threads

  1. version conflict CLDC 1.0 / 1.1
    By saaransh in forum Mobile Java General
    Replies: 5
    Last Post: 2008-08-15, 06:43
  2. CLDC 1.0 and CLDC 1.1
    By prashant_sp in forum Mobile Java General
    Replies: 2
    Last Post: 2006-05-10, 18:58
  3. Can't Build a CLDC 1.0 Version
    By creepymo in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2006-04-28, 20:10
  4. How to develop MIDP 1.0 CLDC 1.0 apps using carbide.j and eclipse?
    By tongits in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2006-04-20, 19:57
  5. CLDC 1.0 & CLDC 1.1 support together
    By devil_82@msn.com in forum Mobile Java General
    Replies: 0
    Last Post: 2005-04-28, 14:54

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×